#pragma once
#include <ImguiBase.h>

#include "WinToast/wintoastlib.h"

using namespace WinToastLib;

struct TimerToastHandler : IWinToastHandler
{
	void toastActivated() const override;
	void toastActivated(int actionIndex) const override;
	void toastFailed() const override;
	void toastDismissed(WinToastDismissalReason state) const override;
};

void initShell(DrawData& drawData);

void showToastNotification(TimerToastHandler* handler, const wchar_t* title, const wchar_t* text, UINT64 expiresInMs = 0);

void cleanupShell(DrawData& drawData);

LRESULT trayIconEventHandler(int code, WPARAM wParam, LPARAM lParam);
